Browse Source

Ensure we install setuptools from requirements

Use pip_install_gr so we get the version pinned by requirements.  The
depends-on is an example of where we're trying to pin to workaround
issues.

Depends-On: I9c57c08a150571c5bb62235d502839394d53a4c1
Change-Id: I780cca681b12a3e9d228dbf2fd9fa6e8ab1a82e1
(cherry picked from commit 1e7f738f28)
(cherry picked from commit 0d2fc817ea)
Ian Wienand 2 years ago
parent
commit
3c877537cc
1 changed files with 4 additions and 1 deletions
  1. 4
    1
      tools/install_pip.sh

+ 4
- 1
tools/install_pip.sh View File

@@ -134,6 +134,9 @@ if [[ -n $PYPI_ALTERNATIVE_URL ]]; then
134 134
 fi
135 135
 
136 136
 set -x
137
-pip_install -U setuptools
137
+
138
+# Note setuptools is part of requirements.txt and we want to make sure
139
+# we obey any versioning as described there.
140
+pip_install_gr setuptools
138 141
 
139 142
 get_versions

Loading…
Cancel
Save